Package org.bukkit.inventory

# Interface LecternInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface LecternInventory extends Inventory
Interface to the inventory of a Lectern.

## Method Summary

Modifier and Type
Method
Description
`default @Nullable ItemStack`
`getBook()`
Gets the lectern's held book.
`@Nullable Lectern`
`getHolder()`
Gets the block or entity belonging to the open inventory
`default void`
`setBook(@Nullable ItemStack book)`
Sets the lectern's held book.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getHolder

@Nullable @Nullable Lectern getHolder()
Description copied from interface: `Inventory`
Gets the block or entity belonging to the open inventory

Specified by:
  `getHolder` in interface `Inventory`
Returns:
  The holder of the inventory; null if it has no holder.

### getBook

@Nullable default @Nullable ItemStack getBook()
Gets the lectern's held book.

Returns:
  book set in the lectern

### setBook

default void setBook(@Nullable @Nullable ItemStack book)
Sets the lectern's held book.

Parameters:
  `book` - the new book